---
schema_version: "1"
id: ae3854028c550e6f2616ecefcb27b0ceea319d2d6a23925047e9d13153c9b1c9
title: GET /contacts/v1/contacts/actions/restrict/status?operationID=
collection: developer
version: current
locale: en-us
portal_url: https://docs.salesforce.com/developer/current/en-us/marketing-cloud/guides/mc-apis/ContactsRestrictStatus.md
canonical_url: https://developer.salesforce.com/docs/marketing/marketing-cloud/references/mc_rest_contacts/ContactsRestrictStatus.html
source_site: developer.salesforce.com
content_type: documentation
content_hash: 4c7f78fba52aba73c5f7fde813950f1a0b3c0460529bf9f507600dc06b3dfe7f
products:
  - Marketing Cloud Engagement APIs and Programmatic Languages
  - Marketing Cloud
---
# GET /contacts/v1/contacts/actions/restrict/status?operationID=

## Overview

Retrieves the status of the contact restrict operation.

### URL Parameters

<!--complex table-->

| Name            | Type |              | Description                                         |
| --------------- | ---- | ------------ | --------------------------------------------------- |
| **operationID** | GUID | **Required** | ID of the operation you are checking the status of. |

### Responses

| Status  | Name                    | Type    | Description                                                                                                                                                             |
| ------- | ----------------------- | ------- | ----------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **200** | &nbsp;                  | &nbsp;  | **Restrict request response**                                                                                                                                           |
| &nbsp;  | operationInitiated      | boolean | System-initiated restrict operation.                                                                                                                                    |
| &nbsp;  | operationID             | integer | Auto-generated restrict operation ID. Keep track of this ID because it allows you to check the status of a restriction and decide how to proceed if there is a failure. |
| &nbsp;  | requestServiceMessageID | guid    | Service message ID for the request.                                                                                                                                     |
| &nbsp;  | responseDateTime        | integer | The datetime restrict response is created in the system in GMT time.                                                                                                    |
| &nbsp;  | hasErrors               | boolean | The requested operation is initiated with an error or not.                                                                                                              |
| &nbsp;  | resultMessages          | array   | Array of messages about the restrict operation.                                                                                                                         |
| &nbsp;  | serviceMessageID        | guid    | Service message ID for the response.                                                                                                                                    |
| &nbsp;  | &nbsp;                  | &nbsp;  | &nbsp;                                                                                                                                                                  |
| **400** | &nbsp;                  | &nbsp;  | **Bad restrict request response**                                                                                                                                       |
| &nbsp;  | operationInitiated      | boolean | System-initiated restrict operation.                                                                                                                                    |
| &nbsp;  | operationID             | integer | Auto-generated restrict operation ID. Keep track of this ID because it allows you to check the status of a restriction and decide how to proceed if there is a failure. |
| &nbsp;  | requestServiceMessageID | guid    | Service message ID for the request.                                                                                                                                     |
| &nbsp;  | responseDateTime        | integer | The datetime restrict response is created in the system in GMT time.                                                                                                    |
| &nbsp;  | hasErrors               | boolean | The requested operation is initiated with error or not. For a 400 response this is true.                                                                                |
| &nbsp;  | resultMessages          | array   | Array of messages about the restrict operation, with details about the bad request, like resulttype and resultcode.                                                     |
| &nbsp;  | serviceMessageID        | guid    | Service message ID for the response.                                                                                                                                    |

## Usage

### Example Request

```js
Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /contacts/v1/contacts/actions/restrict/status?operationID=2105
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN
```

### Example Response

```json
{
  "backgroundOperationsSummary": [],
  "numberofRestorableDays": -1,
  "operation": {
    "listTypeID": 5,
    "listIdentifier": "aa11b2cc-d6ea-4f46-bbfc-a4b7afa3f449",
    "listKey": "bb11c2dd-d6ea-4f46-bbfc-a4b7afa3f449",
    "listName": "Prestaged List",
    "expectedListCount": 1,
    "actualListCount": 1,
    "deleteType": "ContactAndAttributes",
    "deleteListOnCompleted": false,
    "errorsOccurredInBatchProcess": false,
    "isRestrictedForProcessing": true,
    "operationID": 2105,
    "eID": 55555555,
    "mID": 55555555,
    "employeeID": 12345678,
    "operationRequestID": "1a22b33c-daf1-4ff9-b381-18658d74c547",
    "status": "Completed",
    "scheduledTime": "2018-01-30T12:40:09.06",
    "startTime": "2018-01-30T18:40:11.293",
    "endTime": "2018-01-30T18:40:11.963",
    "retryCount": 0,
    "createdDate": "2018-01-30T18:40:00",
    "createdBy": 12345678,
    "modifiedDate": "2018-01-30T18:40:00",
    "modifiedBy": 10898158
  },
  "requestServiceMessageID": "a12345b6-5490-4ecf-bed1-cb2112eddd7b",
  "responseDateTime": "2018-01-30T12:42:05.819137-06:00",
  "resultMessages": [],
  "serviceMessageID": "ab11cd2e-1f74-489e-98fb-ff6d2c33a5e4"
}
```
